package com.xmomen.module.base.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.List;

// 定义CdActivityRefExample类，继承BaseMybatisExample类
public class CdActivityRefExample extends BaseMybatisExample {
    // 定义orderByClause变量，用于存储排序字段
    protected String orderByClause;

    // 定义distinct变量，用于存储是否去重
    protected boolean distinct;

    // 定义oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria变量
    public CdActivityRefExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置orderByClause变量
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取orderByClause变量
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置distinct变量
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取distinct变量
    public boolean isDistinct() {
        return distinct;
    }

    // 获取oredCriteria变量
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空查询条件
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 定义GeneratedCriteria内部类
    protected abstract static class GeneratedCriteria {
        // 定义criteria变量，用于存储查询条件
        protected List<Criterion> criteria;

        // 构造函数，初始化criteria变量
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断查询条件是否有效
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 判断ID是否为空
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 判断ID是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 判断ID是否等于某个值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否不等于某个值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于某个值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于某个值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于等于某个值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断CD_ACTIVITY_ID是否为空
        public Criteria andCdActivityIdIsNull() {
            addCriterion("CD_ACTIVITY_ID is null");
            return (Criteria) this;
        }

        // 判断CD_ACTIVITY_ID是否不为空
        public Criteria andCdActivityIdIsNotNull() {
            addCriterion("CD_ACTIVITY_ID is not null");
            return (Criteria) this;
        }

        // 判断CD_ACTIVITY_ID是否等于某个值
        public Criteria andCdActivityIdEqualTo(Integer value) {
            addCriterion("CD_ACTIVITY_ID =", value, "cdActivityId");
            return (Criteria) this;
        }

        // 判断CD_ACTIVITY_ID是否不等于某个值
        public Criteria andCdActivityIdNotEqualTo(Integer value) {
            addCriterion("CD_ACTIVITY_ID <>", value, "cdActivityId");
            return (Criteria) this;
        }

        // 判断CD_ACTIVITY_ID是否大于某个值
        public Criteria andCdActivityIdGreaterThan(Integer value) {
            addCriterion("CD_ACTIVITY_ID >", value, "cdActivityId");
            return (Criteria) this;
        }

        // 判断CD_ACTIVITY_ID是否大于等于某个值
        public Criteria andCdActivityIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("CD_ACTIVITY_ID >=", value, "cdActivityId");
            return (Criteria) this;
        }

        // 判断CD_ACTIVITY_ID是否小于某个值
        public Criteria andCdActivityIdLessThan(Integer value) {
            addCriterion("CD_ACTIVITY_ID <", value, "cdActivityId");
            return (Criteria) this;
        }

        // 判断CD_ACTIVITY_ID是否小于等于某个值
        public Criteria andCdActivityIdLessThanOrEqualTo(Integer value) {
            addCriterion("CD_ACTIVITY_ID <=", value, "cdActivityId");
            return (Criteria) this;
        }

        // 判断CD_ACTIVITY_ID是否在某个范围内
        public Criteria andCdActivityIdIn(List<Integer> values) {
            addCriterion("CD_ACTIVITY_ID in", values, "cdActivityId");
            return (Criteria) this;
        }

        // 判断CD_ACTIVITY_ID是否不在某个范围内
        public Criteria andCdActivityIdNotIn(List<Integer> values) {
            addCriterion("CD_ACTIVITY_ID not in", values, "cdActivityId");
            return (Criteria) this;
        }

        // 判断CD_ACTIVITY_ID是否在某个范围内
        public Criteria andCdActivityIdBetween(Integer value1, Integer value2) {
            addCriterion("CD_ACTIVITY_ID between", value1, value2, "cdActivityId");
            return (Criteria) this;
        }

        // 判断CD_ACTIVITY_ID是否不在某个范围内
        public Criteria andCdActivityIdNotBetween(Integer value1, Integer value2) {
            addCriterion("CD_ACTIVITY_ID not between", value1, value2, "cdActivityId");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否为空
        public Criteria andRefValueIsNull() {
            addCriterion("REF_VALUE is null");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否不为空
        public Criteria andRefValueIsNotNull() {
            addCriterion("REF_VALUE is not null");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否等于某个值
        public Criteria andRefValueEqualTo(String value) {
            addCriterion("REF_VALUE =", value, "refValue");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否不等于某个值
        public Criteria andRefValueNotEqualTo(String value) {
            addCriterion("REF_VALUE <>", value, "refValue");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否大于某个值
        public Criteria andRefValueGreaterThan(String value) {
            addCriterion("REF_VALUE >", value, "refValue");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否大于等于某个值
        public Criteria andRefValueGreaterThanOrEqualTo(String value) {
            addCriterion("REF_VALUE >=", value, "refValue");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否小于某个值
        public Criteria andRefValueLessThan(String value) {
            addCriterion("REF_VALUE <", value, "refValue");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否小于等于某个值
        public Criteria andRefValueLessThanOrEqualTo(String value) {
            addCriterion("REF_VALUE <=", value, "refValue");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否包含某个值
        public Criteria andRefValueLike(String value) {
            addCriterion("REF_VALUE like", value, "refValue");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否不包含某个值
        public Criteria andRefValueNotLike(String value) {
            addCriterion("REF_VALUE not like", value, "refValue");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否在某个范围内
        public Criteria andRefValueIn(List<String> values) {
            addCriterion("REF_VALUE in", values, "refValue");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否不在某个范围内
        public Criteria andRefValueNotIn(List<String> values) {
            addCriterion("REF_VALUE not in", values, "refValue");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否在某个范围内
        public Criteria andRefValueBetween(String value1, String value2) {
            addCriterion("REF_VALUE between", value1, value2, "refValue");
            return (Criteria) this;
        }

        // 判断REF_VALUE是否不在某个范围内
        public Criteria andRefValueNotBetween(String value1, String value2) {
            addCriterion("REF_VALUE not between", value1, value2, "refValue");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否为空
        public Criteria andRefTypeIsNull() {
            addCriterion("REF_TYPE is null");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否不为空
        public Criteria andRefTypeIsNotNull() {
            addCriterion("REF_TYPE is not null");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否等于某个值
        public Criteria andRefTypeEqualTo(String value) {
            addCriterion("REF_TYPE =", value, "refType");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否不等于某个值
        public Criteria andRefTypeNotEqualTo(String value) {
            addCriterion("REF_TYPE <>", value, "refType");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否大于某个值
        public Criteria andRefTypeGreaterThan(String value) {
            addCriterion("REF_TYPE >", value, "refType");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否大于等于某个值
        public Criteria andRefTypeGreaterThanOrEqualTo(String value) {
            addCriterion("REF_TYPE >=", value, "refType");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否小于某个值
        public Criteria andRefTypeLessThan(String value) {
            addCriterion("REF_TYPE <", value, "refType");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否小于等于某个值
        public Criteria andRefTypeLessThanOrEqualTo(String value) {
            addCriterion("REF_TYPE <=", value, "refType");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否包含某个值
        public Criteria andRefTypeLike(String value) {
            addCriterion("REF_TYPE like", value, "refType");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否不包含某个值
        public Criteria andRefTypeNotLike(String value) {
            addCriterion("REF_TYPE not like", value, "refType");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否在某个范围内
        public Criteria andRefTypeIn(List<String> values) {
            addCriterion("REF_TYPE in", values, "refType");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否不在某个范围内
        public Criteria andRefTypeNotIn(List<String> values) {
            addCriterion("REF_TYPE not in", values, "refType");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否在某个范围内
        public Criteria andRefTypeBetween(String value1, String value2) {
            addCriterion("REF_TYPE between", value1, value2, "refType");
            return (Criteria) this;
        }

        // 判断REF_TYPE是否不在某个范围内
        public Criteria andRefTypeNotBetween(String value1, String value2) {
            addCriterion("REF_TYPE not between", value1, value2, "refType");
            return (Criteria) this;
        }

        // 判断REF_NAME是否为空
        public Criteria andRefNameIsNull() {
            addCriterion("REF_NAME is null");
            return (Criteria) this;
        }

        // 判断REF_NAME是否不为空
        public Criteria andRefNameIsNotNull() {
            addCriterion("REF_NAME is not null");
            return (Criteria) this;
        }

        // 判断REF_NAME是否等于某个值
        public Criteria andRefNameEqualTo(String value) {
            addCriterion("REF_NAME =", value, "refName");
            return (Criteria) this;
        }

        // 判断REF_NAME是否不等于某个值
        public Criteria andRefNameNotEqualTo(String value) {
            addCriterion("REF_NAME <>", value, "refName");
            return (Criteria) this;
        }

        // 判断REF_NAME是否大于某个值
        public Criteria andRefNameGreaterThan(String value) {
            addCriterion("REF_NAME >", value, "refName");
            return (Criteria) this;
        }

        // 判断REF_NAME是否大于等于某个值
        public Criteria andRefNameGreaterThanOrEqualTo(String value) {
            addCriterion("REF_NAME >=", value, "refName");
            return (Criteria) this;
        }

        // 判断REF_NAME是否小于某个值
        public Criteria andRefNameLessThan(String value) {
            addCriterion("REF_NAME <", value, "refName");
            return (Criteria) this;
        }

        // 判断REF_NAME是否小于等于某个值
        public Criteria andRefNameLessThanOrEqualTo(String value) {
            addCriterion("REF_NAME <=", value, "refName");
            return (Criteria) this;
        }

        // 判断REF_NAME是否包含某个值
        public Criteria andRefNameLike(String value) {
            addCriterion("REF_NAME like", value, "refName");
            return (Criteria) this;
        }

        // 判断REF_NAME是否不包含某个值
        public Criteria andRefNameNotLike(String value) {
            addCriterion("REF_NAME not like", value, "refName");
            return (Criteria) this;
        }

        // 判断REF_NAME是否在某个范围内
        public Criteria andRefNameIn(List<String> values) {
            addCriterion("REF_NAME in", values, "refName");
            return (Criteria) this;
        }

        // 判断REF_NAME是否不在某个范围内
        public Criteria andRefNameNotIn(List<String> values) {
            addCriterion("REF_NAME not in", values, "refName");
            return (Criteria) this;
        }

        // 判断REF_NAME是否在某个范围内
        public Criteria andRefNameBetween(String value1, String value2) {
            addCriterion("REF_NAME between", value1, value2, "refName");
            return (Criteria) this;
        }

        // 判断REF_NAME是否不在某个范围内
        public Criteria andRefNameNotBetween(String value1, String value2) {
            addCriterion("REF_NAME not between", value1, value2, "refName");
            return (Criteria) this;
        }

        // 判断REF_COUNT是否为空
        public Criteria andRefCountIsNull() {
            addCriterion("REF_COUNT is null");
            return (Criteria) this;
        }

        // 判断REF_COUNT是否不为空
        public Criteria andRefCountIsNotNull() {
            addCriterion("REF_COUNT is not null");
            return (Criteria) this;
        }

        // 判断REF_COUNT是否等于某个值
        public Criteria andRefCountEqualTo(Integer value) {
            addCriterion("REF_COUNT =", value, "refCount");
            return (Criteria) this;
        }

        // 判断REF_COUNT是否不等于某个值
        public Criteria andRefCountNotEqualTo(Integer value) {
            addCriterion("REF_COUNT <>", value, "refCount");
            return (Criteria) this;
        }

        // 判断REF_COUNT是否大于某个值
        public Criteria andRefCountGreaterThan(Integer value) {
            addCriterion("REF_COUNT >", value, "refCount");
            return (Criteria) this;
        }

        // 判断REF_COUNT是否大于等于某个值
        public Criteria andRefCountGreaterThanOrEqualTo(Integer value) {
            addCriterion("REF_COUNT >=", value, "refCount");
            return (Criteria) this;
        }

        // 判断REF_COUNT是否小于某个值
        public Criteria andRefCountLessThan(Integer value) {
            addCriterion("REF_COUNT <", value, "refCount");
            return (Criteria) this;
        }

        // 判断REF_COUNT是否小于等于某个值
        public Criteria andRefCountLessThanOrEqualTo(Integer value) {
            addCriterion("REF_COUNT <=", value, "refCount");
            return (Criteria) this;
        }

        // 判断REF_COUNT是否在某个范围内
        public Criteria andRefCountIn(List<Integer> values) {
            addCriterion("REF_COUNT in", values, "refCount");
            return (Criteria) this;
        }

        // 判断REF_COUNT是否不在某个范围内
        public Criteria andRefCountNotIn(List<Integer> values) {
            addCriterion("REF_COUNT not in", values, "refCount");
            return (Criteria) this;
        }

        // 判断REF_COUNT是否在某个范围内
        public Criteria andRefCountBetween(Integer value1, Integer value2) {
            addCriterion("REF_COUNT between", value1, value2, "refCount");
            return (Criteria) this;
        }

        // 判断REF_COUNT是否不在某个范围内
        public Criteria andRefCountNotBetween(Integer value1, Integer value2) {
            addCriterion("REF_COUNT not between", value1, value2, "refCount");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}